Package twisted :: Package protocols :: Module imap4 :: Class ICloseableMailbox

[frames | no frames]

## Class ICloseableMailbox

    Interface --+
                |
               ICloseableMailbox

A supplementary interface for mailboxes which require cleanup on close.

Implementing this interface is optional. If it is implemented, the protocol code will call the close method defined whenever a mailbox is closed.

Method Summary
| ``close`(self)` Close this mailbox.

Method Details

### close(self)

Close this mailbox.

  Returns:
    A `Deferred` which fires when this mailbox has been closed, or None if the mailbox can be closed immediately.

Generated by Epydoc 2.0 on Sat May 15 20:08:06 2004 | http://epydoc.sf.net